List liked gists
GET
/gists/likedLists gists the authenticated caller has liked. Visibility of the caller's own private/unlisted likes depends on the token's scope:
- Token with
gist:read→ every liked gist the caller may see. - Token without
gist:read→ only the public gists the caller liked.
Results are a JSON array; pagination is conveyed via the Link and
X-* response headers (see the response headers below).
This liked endpoint also accept staredr in the path as aliases to try to keep
a GitHub compatibility - e.g. /gists/starred. The behavior is the same.
Request
Headers
| Name | Type | Scopes |
|---|---|---|
Authorizationrequired | string |
Query parameters
| Name | Type | Description |
|---|---|---|
page | integer | Page number, 1-based. (default: 1, min: 1) |
per_page | integer | Items per page. (default: 30, min: 1, max: 100) |
since | string <date-time> | Only return gists updated at or after this RFC 3339 timestamp. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GistSimple[] | A list of liked gists. |
Headers:LinkX-PageX-Per-PageX-TotalX-Total-Pages | ||
400 | Error | The request was malformed. |
401 | Error | Missing or invalid credentials. |